Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005205TestLinkExport/Importpublic2012-09-05 22:462013-09-08 17:56
Reporterdwarf 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005205: SQL error displayed when canceling all requirements export
DescriptionIf a requirement export is canceled, SQL error is displayed
Steps To Reproduce1. In requirements tree, select root
2. Click "Export all requirements"
3. Click "Cancel"

An error message is displayed ont the right :

 ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query() called at [D:\wamp\www\testlink194\lib\functions\database.class.php:743]
#1 database->get_recordset() called at [D:\wamp\www\testlink194\lib\functions\requirement_spec_mgr.class.php:235]
0000002 requirement_spec_mgr->get_by_id() called at [D:\wamp\www\testlink194\lib\requirements\reqSpecView.php:72]
0000003 initialize_gui() called at [D:\wamp\www\testlink194\lib\requirements\reqSpecView.php:25]
 ==============================================================================

There seem to be no further consequences but this message.
Additional InformationOnly happens at root level with "export all requirements" not with "export" on lower levels
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP Version5.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019569)
fman (administrator)
2013-09-08 17:56

1.9.8 released

- Issue History
Date Modified Username Field Change
2012-09-05 22:46 dwarf New Issue
2013-05-26 20:00 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-26 20:00 fman Status new => resolved
2013-05-26 20:00 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-05-26 20:00 fman Resolution open => fixed
2013-05-26 20:00 fman Assigned To => fman
2013-05-26 20:00 fman Relationship added child of 0005731
2013-09-08 17:56 fman Note Added: 0019569
2013-09-08 17:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker